无法使用Gradle安装获取“IdeaProject”types的模型

我已经下载并安装了具有所有必需依赖项的Android Studio,例如JDK 1.7和Gradle 1.6。 我能够在Studio中非常舒适地导入项目和模块,但是当我尝试创建一个新项目时,我收到的错误是这样的:

图片

由于这是新生的IDE,除了这个这个之外我找不到很多细节。 任何帮助将不胜感激。

在花了很多时间试图解决这个问题之后,我find了一个解决方案:

您使用AS的“Windows版本”吗?

请按以下步骤操作:

1 - Install the last version of JDK with respective JAVA_HOME variable. 2 - Download and Install Gradle1.6 with respective GRADLE_HOME variable, 

http://www.gradle.org/docs/current/userguide/userguide_single.html#installation

 2 - Delete these folders: C:\Users\youruser\.AndroidStudioPreview C:\Users\youruser\.android C:\Users\youruser\.gradle 3 - Reopen Android Studio Now probably it will works 

“早期访问预览”中有很多错误….

错误对话框提到了Gradle 1.4

Android Studio需要Gradle插件0.4,这需要Gradle 1.6

我尝试了建议的环境variables和文件夹位置的东西,也确保我有最新版本的Gradle,但这没有任何改进。 然后我使用管理员帐户运行Android Studio,此时所有错误都消失了。 如果你能,我建议你这样做。 这是在Windows 7的盒子上。

对我来说,这个问题是由我的local.properties文件引起的,该文件显示了Android SDK的不同路径。 我在Mac OS X和Windows上进行开发,属性文件显示我的Mac OS X SDK路径。 事实certificate,这个文件甚至不应该被检查到源代码控制。 哎呀!

我的修复程序位于“已知问题”页面: http : //tools.android.com/knownissues

我变了

 dependencies { classpath 'com.android.tools.build:gradle:0.4' } 

至:

 dependencies { classpath 'com.android.tools.build:gradle:0.5.+' } 

重新打开Android Studio,瞧!

我find的最佳解决方案是签出一些空项目,然后导入它而不是使用“新项目”实用程序。

我通过下载AndroidStudio的新副本来解决问题。 在其中一个更新过程中出现问题所以我删除了所有配置文件并从Internet上新下载了该文件,然后它对我来说很好。

(我在Mac上)

如果在创建新项目时仍然收到此错误,请尝试打开项目(出错后)并从模块中的build.gradle文件中删除以下内容。

 dependencies { compile 'com.android.support:support-v4:13.0.+' } 

我通过在Android SDK中安装一些我认为不需要的额外内容来解决这个问题:Google Repository和Google Play服务。 除了Android支持存储库。

手动运行gradle时,您会收到更有意义的错误消息。